import { BehaviorSubject, Observable } from 'rxjs';
export declare class StatefulObject<T> {
    protected stateSubject: BehaviorSubject<T>;
    state$: Observable<T>;
    stateSnapshot: T;
    constructor();
    setState(newState: Partial<T>): void;
}
