/***
 * Compares 2 objects if they are equal by converting to json and comparing the
 * string So this method does not compare the reference but all the values
 * inside
 * @param obj1 First object to compare
 * @param obj2 Second object to compare
 */
export declare function objectIsEqual(obj1: any, obj2: any): boolean;
/***
 * Compares 2 dates, dates can also be undefined or null
 * if both are null or undefined they are also the same...
 * @param date1
 * @param date2
 */
export declare function isDateEqual(date1: Date, date2: Date): boolean;
export declare class ComparatorHelper {
    static objectIsEqual: typeof objectIsEqual;
    static isDateEqual: typeof isDateEqual;
}
