export declare function cSharpTicks2Date(ticks: number): Date;
export declare function dateAddYears(date: any, years: any): Date;
export declare function dateSubstractYears(date: any, years: any): Date;
export declare function dateAddMonths(date: any, months: any): Date;
export declare function dateSubstractMonths(date: any, months: any): Date;
export declare function dateAddDays(date: any, days: any): Date;
export declare function dateSubstractDays(date: any, days: any): Date;
export declare function dateAddHours(date: any, hours: any): Date;
export declare function dateSubstractHours(date: any, hours: any): Date;
export declare function dateAddMinutes(date: any, minutes: any): Date;
export declare function dateSubstractMinutes(date: any, minutes: any): Date;
export declare function dateAddSeconds(date: any, seconds: any): Date;
export declare function dateSubstractSeconds(date: any, seconds: any): Date;
export declare function dateAddMilliSeconds(date: any, milliseconds: any): Date;
export declare function dateSubstractMilliSeconds(date: any, milliseconds: any): Date;
export declare function isToday(date: any): boolean;
export declare function isYesterday(date: any): boolean;
export declare enum IsNowGranulartiy {
    Hours = 0,
    Minutes = 1,
    Seconds = 2,
    Milliseconds = 3
}
export declare function isNow(date: any, granularity?: IsNowGranulartiy): boolean;
/***
 * Checks if the given object is a date object
 * @param obj the object to check for if it is a date or not
 */
export declare function isDate(obj: object): boolean;
export declare class DateHelper {
    static isDate: typeof isDate;
    static isNow: typeof isNow;
    static isToday: typeof isToday;
    static isYesterday: typeof isYesterday;
    static cSharpTicks2Date: typeof cSharpTicks2Date;
    static dateAddYears: typeof dateAddYears;
    static dateSubstractYears: typeof dateSubstractYears;
    static dateAddMonths: typeof dateAddMonths;
    static dateSubstractMonths: typeof dateSubstractMonths;
    static dateAddDays: typeof dateAddDays;
    static dateSubstractDays: typeof dateSubstractDays;
    static dateAddHours: typeof dateAddHours;
    static dateSubstractHours: typeof dateSubstractHours;
    static dateAddMinutes: typeof dateAddMinutes;
    static dateSubstractMinutes: typeof dateSubstractMinutes;
    static dateAddSeconds: typeof dateAddSeconds;
    static dateSubstractSeconds: typeof dateSubstractSeconds;
    static dateAddMilliSeconds: typeof dateAddMilliSeconds;
    static dateSubstractMilliSeconds: typeof dateSubstractMilliSeconds;
}
