/**
 * Padding the string left
 * @param s the string which to pad
 * @param length the length the string should be padded to
 * @param padChar the char which to use to fill up the string
 */
export declare function padLeft(s: string, length: number, padChar: string): string;
/**
 * Padding the string right
 * @param s the string which to pad
 * @param length the length the string should be padded to
 * @param padChar the char which to use to fill up the string
 */
export declare function padRight(s: string, length: number, padChar: string): string;
/**
 * Replace all occurences in the string
 * @param str The string in which to replace something
 * @param find The string to replace
 * @param replace The string that will replace the find string
 */
export declare function replaceAll(str: string, find: string, replace: string): string;
export declare class StringHelper {
    static replaceAll: typeof replaceAll;
    static padLeft: typeof padLeft;
    static padRight: typeof padRight;
}
